//const immer = require('immer@8.0.1');
const immer = require('immer@9.0.2');

immer.setUseProxies(true);

const state = {};
const newState = immer.produce(state, draft => {
    draft.baz = undefined;
});

// output: 
// @8.0.1: false
// @9.0.2: false 
console.log(state === newState); 

// output: 
// @8.0.1: {baz: undefined}
// @9.0.2: {}
console.log(newState);  

;
